'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ArrowButton = require('./ArrowButton');

var _ArrowButton2 = _interopRequireDefault(_ArrowButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Drawer = function (_React$Component) {
    _inherits(Drawer, _React$Component);

    function Drawer(props) {
        _classCallCheck(this, Drawer);

        var _this = _possibleConstructorReturn(this, (Drawer.__proto__ || Object.getPrototypeOf(Drawer)).call(this, props));

        _this.state = {
            width: props.width || 300
        };

        _this.containerPosition = _this.containerPosition.bind(_this);
        return _this;
    }

    _createClass(Drawer, [{
        key: 'containerPosition',
        value: function containerPosition() {
            var output = void 0;
            var _props = this.props,
                drawerOpen = _props.drawerOpen,
                left = _props.left;
            var width = this.state.width;


            if (left) {
                output = drawerOpen ? { maxWidth: width } : { maxWidth: 0 };
            } else {
                output = drawerOpen ? { maxWidth: width } : { maxWidth: 0 };
            }

            return _extends({}, output, { width: width + 2 });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props2 = this.props,
                left = _props2.left,
                _props2$drawerStyle = _props2.drawerStyle,
                drawerStyle = _props2$drawerStyle === undefined ? {} : _props2$drawerStyle,
                hideToggle = _props2.hideToggle;
            var width = this.state.width;


            var containerPosition = this.containerPosition();
            var containerStyle = _extends({}, styles.container, containerPosition);
            var contentStyle = left ? { right: 0 } : { left: 0 };

            return _react2.default.createElement(
                'div',
                { style: containerStyle },
                _react2.default.createElement(
                    'div',
                    { style: _extends({}, styles.content, drawerStyle, contentStyle, { width: width }) },
                    this.props.children
                ),
                !hideToggle ? _react2.default.createElement(_ArrowButton2.default, this.props) : null
            );
        }
    }]);

    return Drawer;
}(_react2.default.Component);

exports.default = Drawer;


var styles = {
    container: {
        position: 'relative',
        zIndex: 1000,
        backgroundColor: 'white',
        boxShadow: '0 0 5px rgba(0,0,0,0.1)',
        padding: '0',
        transition: 'all 0.3s ease-in-out',
        height: '100%'
    },
    content: {
        position: 'absolute'
    }
};